diff -urN Xtheater-1.0.0-pre1/Makefile.in Xtheater-1.0.0-pre2/Makefile.in
--- Xtheater-1.0.0-pre1/Makefile.in	Mon Aug 27 11:16:50 2001
+++ Xtheater-1.0.0-pre2/Makefile.in	Thu Nov  8 09:40:01 2001
@@ -282,7 +282,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
diff -urN Xtheater-1.0.0-pre1/config.h.in Xtheater-1.0.0-pre2/config.h.in
--- Xtheater-1.0.0-pre1/config.h.in	Thu Aug 23 10:38:35 2001
+++ Xtheater-1.0.0-pre2/config.h.in	Thu Nov  8 09:40:14 2001
@@ -13,11 +13,11 @@
 
 #undef USE_GL
 
-/* Define if you have the <limits.h> header file.  */
-#undef HAVE_LIMITS_H
-
 /* Define if you have the <X11/extensions/dpms.h> header file.  */
 #undef HAVE_X11_EXTENSIONS_DPMS_H
+
+/* Define if you have the <limits.h> header file.  */
+#undef HAVE_LIMITS_H
 
 /* Name of package */
 #undef PACKAGE
diff -urN Xtheater-1.0.0-pre1/configure Xtheater-1.0.0-pre2/configure
--- Xtheater-1.0.0-pre1/configure	Mon Aug 27 11:16:47 2001
+++ Xtheater-1.0.0-pre2/configure	Thu Nov  8 09:40:02 2001
@@ -2548,9 +2548,9 @@
 else   
        AVI_CFLAGS=$($AVIFILE_CONFIG --cflags)
        AVI_LIBS="$($AVIFILE_CONFIG --libs) $($SDL_CONFIG --libs) -L/usr/X11R6/lib -lstdc++"
-              echo $ac_n "checking for CreateAviPlayer2__FP12PlayerWidgetP9_XDisplayPCcT2 in -laviplay""... $ac_c" 1>&6
-echo "configure:2553: checking for CreateAviPlayer2__FP12PlayerWidgetP9_XDisplayPCcT2 in -laviplay" >&5
-ac_lib_var=`echo aviplay'_'CreateAviPlayer2__FP12PlayerWidgetP9_XDisplayPCcT2 | sed 'y%./+-%__p_%'`
+              echo $ac_n "checking for CreateAviPlayer2__FP12PlayerWidgetPvPCcT2 in -laviplay""... $ac_c" 1>&6
+echo "configure:2553: checking for CreateAviPlayer2__FP12PlayerWidgetPvPCcT2 in -laviplay" >&5
+ac_lib_var=`echo aviplay'_'CreateAviPlayer2__FP12PlayerWidgetPvPCcT2 | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2562,10 +2562,10 @@
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
-char CreateAviPlayer2__FP12PlayerWidgetP9_XDisplayPCcT2();
+char CreateAviPlayer2__FP12PlayerWidgetPvPCcT2();
 
 int main() {
-CreateAviPlayer2__FP12PlayerWidgetP9_XDisplayPCcT2()
+CreateAviPlayer2__FP12PlayerWidgetPvPCcT2()
 ; return 0; }
 EOF
 if { (eval echo configure:2572: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
diff -urN Xtheater-1.0.0-pre1/configure.in Xtheater-1.0.0-pre2/configure.in
--- Xtheater-1.0.0-pre1/configure.in	Mon Aug 27 09:35:32 2001
+++ Xtheater-1.0.0-pre2/configure.in	Thu Nov  8 09:35:56 2001
@@ -36,7 +36,7 @@
        AVI_CFLAGS=$($AVIFILE_CONFIG --cflags)
        AVI_LIBS="$($AVIFILE_CONFIG --libs) $($SDL_CONFIG --libs) -L/usr/X11R6/lib -lstdc++"
        dnl AC_CHECK_LIB(aviplay, GetAvifileVersion__Fv, wm=true, wm=false, $AVI_LIBS)
-       AC_CHECK_LIB(aviplay,  CreateAviPlayer2__FP12PlayerWidgetP9_XDisplayPCcT2, wm=true, wm=false, $AVI_LIBS)
+       AC_CHECK_LIB(aviplay,  CreateAviPlayer2__FP12PlayerWidgetPvPCcT2, wm=true, wm=false, $AVI_LIBS)
 fi     
 AM_CONDITIONAL(WM, test x$wm = xtrue)
 AC_SUBST(AVIFILE_CONFIG)
diff -urN Xtheater-1.0.0-pre1/loader/Makefile.in Xtheater-1.0.0-pre2/loader/Makefile.in
--- Xtheater-1.0.0-pre1/loader/Makefile.in	Mon Aug 27 11:16:52 2001
+++ Xtheater-1.0.0-pre2/loader/Makefile.in	Thu Nov  8 09:35:56 2001
@@ -238,7 +238,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
diff -urN Xtheater-1.0.0-pre1/plugins/Makefile.in Xtheater-1.0.0-pre2/plugins/Makefile.in
--- Xtheater-1.0.0-pre1/plugins/Makefile.in	Mon Aug 27 11:16:51 2001
+++ Xtheater-1.0.0-pre2/plugins/Makefile.in	Thu Nov  8 09:35:56 2001
@@ -209,7 +209,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
diff -urN Xtheater-1.0.0-pre1/plugins/player/Makefile.in Xtheater-1.0.0-pre2/plugins/player/Makefile.in
--- Xtheater-1.0.0-pre1/plugins/player/Makefile.in	Mon Aug 27 11:16:51 2001
+++ Xtheater-1.0.0-pre2/plugins/player/Makefile.in	Thu Nov  8 09:35:56 2001
@@ -209,7 +209,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
diff -urN Xtheater-1.0.0-pre1/plugins/player/smpeg/Makefile.in Xtheater-1.0.0-pre2/plugins/player/smpeg/Makefile.in
--- Xtheater-1.0.0-pre1/plugins/player/smpeg/Makefile.in	Mon Aug 27 11:16:52 2001
+++ Xtheater-1.0.0-pre2/plugins/player/smpeg/Makefile.in	Thu Nov  8 09:35:56 2001
@@ -240,7 +240,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
diff -urN Xtheater-1.0.0-pre1/plugins/player/wm/Makefile.in Xtheater-1.0.0-pre2/plugins/player/wm/Makefile.in
--- Xtheater-1.0.0-pre1/plugins/player/wm/Makefile.in	Mon Aug 27 11:16:52 2001
+++ Xtheater-1.0.0-pre2/plugins/player/wm/Makefile.in	Thu Nov  8 09:35:56 2001
@@ -240,7 +240,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
diff -urN Xtheater-1.0.0-pre1/plugins/player/wm/WMWidget.cpp Xtheater-1.0.0-pre2/plugins/player/wm/WMWidget.cpp
--- Xtheater-1.0.0-pre1/plugins/player/wm/WMWidget.cpp	Mon Aug 27 09:35:01 2001
+++ Xtheater-1.0.0-pre2/plugins/player/wm/WMWidget.cpp	Thu Nov  8 09:50:32 2001
@@ -4,16 +4,13 @@
 #include "WMWidget.h"
 
 void WMWidget::PW_showconf_func() {
-	cerr << "showconf not implemented\n";
 }
 
 void WMWidget::PW_stop_func() {
-	cerr << "Stop is called: ";
 	player_stop();
 }
 
 void WMWidget::PW_middle_button() {
-	cerr << "Middle button was pressed, so what?\n";
 }
 
 
@@ -27,7 +24,6 @@
 	loader_close();
 }
 void WMWidget::PW_menu_slot() {
-	cerr << "We have no menus here.. muhhahah\n";
 }
 int fs_wrapper(void * junk)
 {
@@ -77,5 +73,4 @@
 	n->player->Refresh();
 }
 void WMWidget::PW_maximize_func() {
-	cerr << "This will be mute, I don't care what aviplay says what m should be\n";
 }
diff -urN Xtheater-1.0.0-pre1/plugins/player/wm/fullscreen.cpp Xtheater-1.0.0-pre2/plugins/player/wm/fullscreen.cpp
--- Xtheater-1.0.0-pre1/plugins/player/wm/fullscreen.cpp	Fri Jul  6 13:14:29 2001
+++ Xtheater-1.0.0-pre2/plugins/player/wm/fullscreen.cpp	Thu Nov  8 09:47:36 2001
@@ -2,23 +2,16 @@
 void
 player_fullscreen ()
 {
-   //SDL_Event event;
-   //while(SDL_PollEvent(&event)) { cerr << "Flushed event\n";} // Flush event queue
    if (!n->player)
 	   return;
    player_pause();
    if (n->in_fullscreen) {
 	   n->in_fullscreen=false;
-	   cerr << "Exiting Fullscreen: ";
 	   n->player->ToggleFullscreen(n->fullscreen_scale);
-	   cerr << "OK\nOut of fullscreen, resizing to " << n->width << "x" << n->height << ": ";
 	   n->player->Resize((n->width), (n->height));
-	   cerr << "Done\n";
    } else  {
 	   n->in_fullscreen=true;
-	cerr << "Entering Fullscreen: ";
    	n->player->ToggleFullscreen (n->fullscreen_scale);
-	cerr << "Done\n";
    }
    player_play();
 }
diff -urN Xtheater-1.0.0-pre1/plugins/player/wm/open.cpp Xtheater-1.0.0-pre2/plugins/player/wm/open.cpp
--- Xtheater-1.0.0-pre1/plugins/player/wm/open.cpp	Mon Aug 27 09:35:01 2001
+++ Xtheater-1.0.0-pre2/plugins/player/wm/open.cpp	Thu Nov  8 09:49:05 2001
@@ -1,6 +1,8 @@
 #include <SDL_thread.h>
 #include "wm_player.h"
 #include <avifile/renderer.h>
+#include <stdlib.h>
+#include <X11/Xlib.h>
 wm_data *n;
 
 // This function is provided to allow plugin to be opened without a 
@@ -26,7 +28,7 @@
    n = &w;
    w.is_playing = 0;
    parse_url (name);
-   w.name = strdup(name);
+   w.name = g_strdup(name);
    pthread_mutex_init (&n->mutex, 0);
    char *disp_name = ":0.0";
    static Display *the_disp;
diff -urN Xtheater-1.0.0-pre1/plugins/player/wm/parseurl.cpp Xtheater-1.0.0-pre2/plugins/player/wm/parseurl.cpp
--- Xtheater-1.0.0-pre1/plugins/player/wm/parseurl.cpp	Thu May 31 11:44:40 2001
+++ Xtheater-1.0.0-pre2/plugins/player/wm/parseurl.cpp	Thu Nov  8 09:49:42 2001
@@ -1,4 +1,5 @@
 #include "wm_player.h"
+#include <string.h>
 void
 parse_url (char *name)
 {
diff -urN Xtheater-1.0.0-pre1/plugins/player/wm/settings.cpp Xtheater-1.0.0-pre2/plugins/player/wm/settings.cpp
--- Xtheater-1.0.0-pre1/plugins/player/wm/settings.cpp	Fri Aug 24 10:36:46 2001
+++ Xtheater-1.0.0-pre2/plugins/player/wm/settings.cpp	Thu Nov  8 09:46:23 2001
@@ -1,4 +1,5 @@
 #include "wm_player.h"
+#include <string.h>
 #include <avifile/renderer.h>
 
 gchar **
@@ -20,11 +21,11 @@
    static char *retval[6];
 
    retval[0] =
-      strdup ("string\twm_av_sync_adjust\tAV Sync Adjustment Factor");
+      g_strdup ("string\twm_av_sync_adjust\tAV Sync Adjustment Factor");
    retval[1] =
-      strdup ("bool\twm_scale_to_fs\tScale instead of VidMode in fullscreen");
-   retval[2] = strdup("bool\twm_use_yuv\tUse XVideo Extension for Hardware scaling");
-   retval[3] = strdup("bool\twm_enforce_aspect\tEnforce Aspect ratio of Video");
+      g_strdup ("bool\twm_scale_to_fs\tScale instead of VidMode in fullscreen");
+   retval[2] = g_strdup("bool\twm_use_yuv\tUse XVideo Extension for Hardware scaling");
+   retval[3] = g_strdup("bool\twm_enforce_aspect\tEnforce Aspect ratio of Video");
    retval[4] = NULL;
    return retval;
 }
@@ -66,7 +67,7 @@
 {
    check_sync_adjust ();
 	check_fs_settings();
-   const vector<VideoRenderer*>& vrend = n->player->GetVideoRenderers();
+   const avm::vector<VideoRenderer*>& vrend = n->player->GetVideoRenderers();
    if (vrend.size() > 0) {
 	   vrend[0]->SetCaption(n->name,NULL);
    }
diff -urN Xtheater-1.0.0-pre1/plugins/ui/Makefile.in Xtheater-1.0.0-pre2/plugins/ui/Makefile.in
--- Xtheater-1.0.0-pre1/plugins/ui/Makefile.in	Mon Aug 27 11:16:51 2001
+++ Xtheater-1.0.0-pre2/plugins/ui/Makefile.in	Thu Nov  8 09:35:56 2001
@@ -209,7 +209,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
diff -urN Xtheater-1.0.0-pre1/plugins/ui/gtk/Makefile.in Xtheater-1.0.0-pre2/plugins/ui/gtk/Makefile.in
--- Xtheater-1.0.0-pre1/plugins/ui/gtk/Makefile.in	Mon Aug 27 11:16:51 2001
+++ Xtheater-1.0.0-pre2/plugins/ui/gtk/Makefile.in	Thu Nov  8 09:35:56 2001
@@ -239,7 +239,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
